Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.aop
Class ServiceProviderTCCLInterceptor

    java.lang.Object
      org.eclipse.gemini.blueprint.service.importer.support.internal.aop.ServiceProviderTCCLInterceptor

All Implemented Interfaces:
  org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

    public class ServiceProviderTCCLInterceptor

extends Object
implements org.aopalliance.intercept.MethodInterceptor

Special Thread Context ClassLoading handling interceptor dealing with "service-provided" case, in which the backing service reference can be updated which requires update of the classloader used as TCCL. This interceptor requires registration of a dedicated `OsgiServiceLifecycleListener` which updates the classloader used.

Author:
  Costin Leau

Nested Class Summary
`class` | `ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener`

Constructor Summary
`ServiceProviderTCCLInterceptor()`

Method Summary
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProviderTCCLInterceptor

    public ServiceProviderTCCLInterceptor()

Method Detail

### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `Throwable`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.